Page MenuHomePhabricator

The "looking glas" feature broken for "no grouping"
Closed, ResolvedPublic

Description

When clicking the looking glas feature for any cell in the "No grouping" row you are taken to the Integrality tool from which you can trigger two queries (e.g. https://tools.wmflabs.org/integraality/queries?page=User:Lokal_Profil/BBR_dashboard&property=&grouping= ).

This feature is broken in two ways.

The first is that the property does get passed on to the tool. This is because it does not get written to the template at all for cells in this row.

The second is that the generated queries cannot handle the case where there is no grouping qid.

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptNov 3 2019, 11:04 AM
Lokal_Profil updated the task description. (Show Details)Nov 3 2019, 11:06 AM
Lokal_Profil updated the task description. (Show Details)

The first query should be something like

SELECT DISTINCT ?entity ?entityLabel ?value ?valueLabel WHERE {
  ?entity <select>
  MINUS{?entity wdt:<grouping> ?grouping}.
  ?entity p:<prop> ?prop.
  OPTIONAL { ?prop ps:<prop> ?value. }
  SERVICE wikibase:label { bd:serviceParam wikibase:language "[AUTO_LANGUAGE],en". }
}

The second query something like

SELECT DISTINCT ?entity ?entityLabel WHERE {
  ?entity <select>
  MINUS {
    { ?entity wdt:<grouping> ?grouping.  }
    UNION
    { ?entity rdf:type wdno:<prop>. }
    UNION
    { ?entity wdt:<prop> ?prop. }
  }
  SERVICE wikibase:label { bd:serviceParam wikibase:language "[AUTO_LANGUAGE],en". }
}
Lokal_Profil added a comment.EditedNov 3 2019, 11:55 AM

Note that I have since then broken the linked dashboard. Feel free to revert if that aids with errorfinding

The first is that the property does get passed on to the tool. This is because it does not get written to the template at all for cells in this row.

Patch for this is up

Mentioned in SAL (#wikimedia-cloud) [2019-11-04T17:35:18Z] <wm-bot> <jeanfred> Deploy latest from Git master: 471deddd (T237182)

JeanFred moved this task from Backlog to Bugs on the Tool-inteGraality board.Nov 4 2019, 5:37 PM

Mentioned in SAL (#wikimedia-cloud) [2019-11-06T09:01:19Z] <wm-bot> <jeanfred> Deploy latest from Git master: 29b19c3 (T237182)

Mentioned in SAL (#wikimedia-cloud) [2019-12-02T06:40:57Z] <wm-bot> <jeanfred> Deploy latest from Git master: 770cc93 (T237182)

Lokal_Profil closed this task as Resolved.Mar 20 2020, 12:19 PM